Get Org Integrations
curl --request GET \
--url https://api.bindbee.dev/api/hris/v1/integrations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bindbee.dev/api/hris/v1/integrations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bindbee.dev/api/hris/v1/integrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cursor": "MDE4YjE4ZWYtYzk5Yy03YTg2LTk5NDYtN2I3YzlkNTQzM2U1",
"page_size": 123,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"integration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_enabled": true,
"integration_slug": "<string>",
"integration_type": "<string>",
"category": "<string>",
"display_name": "<string>",
"icon_url": "<string>",
"description": "BambooHR is an intuitive HRIS solution designed to streamline HR processes, offering features for employee onboarding, performance management, and HR analytics, providing organizations with a user-friendly platform for effective workforce management."
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "<string>"
}Integrations
Get Org Integrations
Returns a list of Integrations
GET
/
api
/
hris
/
v1
/
integrations
Get Org Integrations
Overview
This is a demo of how to use the Integrations API to get all active integrations for specific category. This guide will help you understand the endpoints available and how to utilize them effectively.You can also access integrations for different categories using
https://api.bindbee.dev/api/{category}/v1/integrations. To retrieve ATS
integrations, use: https://api.bindbee.dev/api/ats/v1/integrations To
retrieve LMS integrations, use:
https://api.bindbee.dev/api/lms/v1/integrationsAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of results to return per page. Maximum size is 200.
Required range:
1 <= x <= 200The pagination cursor value.
Response
Successful Response
Cursor value to fetch next set of items
Example:
"MDE4YjE4ZWYtYzk5Yy03YTg2LTk5NDYtN2I3YzlkNTQzM2U1"
Indicates the count of items in the response
Example:
50
List of items in the current response
Show child attributes
Show child attributes
Example:
{}
Was this page helpful?
⌘I